# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"Air Explorer",
   "name":"Air Explorer",
   "version":"5.5.2",
   "install_date":"",
   "install_location":"",
   "uninstall_string":"C:\\Program Files\\AirExplorer\\uninst.exe",
   "publisher":"http://www.airexplorer.net",
   "system_component":0,
   "win64":true
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    print("Installing: AirExplorer-OnlineInstaller.exe")
    install_exe_if_needed(
        "AirExplorer-OnlineInstaller.exe",
        silentflags="/S",
        key="Air Explorer",
        min_version=control.get_software_version(),
    )
